Package org.codehaus.janino

# Class Java.ClassInstanceCreationReference

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.Rvalue
org.codehaus.janino.Java.ClassInstanceCreationReference

All Implemented Interfaces:
  `Java.ArrayInitializerOrRvalue`, `Java.ElementValue`, `Java.Locatable`

Enclosing class:
  `Java`

public static final class Java.ClassInstanceCreationReference extends Java.Rvalue
Representation of a "method reference expression", as described in JLS9 15.13, with the form "`<var>classType</var>::new`".

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Type`
`type`
The class type that this expression instantiates.
`final Java.TypeArgument[]`
`typeArguments`
The optional type arguments for the `type`.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`ClassInstanceCreationReference(Location location, Java.Type type, Java.TypeArgument[] typeArguments)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.RvalueVisitor<R,EX> rvv)`
Invokes the "`visit...()`" method of `Visitor.RvalueVisitor` for the concrete `Java.Rvalue` type.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Rvalue

`accept, accept, accept, getEnclosingScope, getEnclosingScopeOrNull, setEnclosingScope, toRvalue`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalueOrCompileException, toType, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### type

public final Java.Type type
The class type that this expression instantiates.

### typeArguments

@Nullable public final Java.TypeArgument[] typeArguments
The optional type arguments for the `type`.

## Constructor Details

### ClassInstanceCreationReference

public ClassInstanceCreationReference(Location location, Java.Type type, @Nullable Java.TypeArgument[] typeArguments)

## Method Details

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.RvalueVisitor<R,EX> rvv) throws EX
Description copied from class: `Java.Rvalue`
Invokes the "`visit...()`" method of `Visitor.RvalueVisitor` for the concrete `Java.Rvalue` type.

Specified by:
  `accept` in class `Java.Rvalue`
Throws:
  `EX`

### toString

public String toString()

Specified by:
  `toString` in class `Java.Atom`